Bug 109189 - CAN-2003-0925/6/7 Ethereal 0.9.13 has three exploitable security issues
CAN-2003-0925/6/7 Ethereal 0.9.13 has three exploitable security issues
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ethereal (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
http://www.ethereal.com/appnotes/enpa...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-05 10:27 EST by Mark J. Cox (Product Security)
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 09:03:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-11-05 10:27:26 EST
Three newissues in Ethereal prior to 0.9.16 according to
http://www.ethereal.com/appnotes/enpa-sa-00011.html on Nov03

CVE applied for.

An improperly formatted GTP MSISDN string could cause a buffer
overflow in versions of Ethereal prior to 0.9.16.  

A malformed ISAKMP or MEGACO packet could make Ethereal prior to version
0.9.16 crash.  

The SOCKS dissector in Ethereal prior to version 0.9.16 is susceptible
to a heap overflow.  

This affects: 2.1AS 2.1AW 2.1ES 2.1WS 3AS 3WS 3ES

Errata RHSA-2003:324 in progress
Comment 1 Mark J. Cox (Product Security) 2003-11-05 12:03:55 EST
CAN-2003-0925, CAN-2003-0926, CAN-2003-0927 respectively
Comment 2 Mark J. Cox (Product Security) 2003-11-12 09:03:12 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-324.html

Note You need to log in before you can comment on or make changes to this bug.